diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 2fc86c1..4e3542e 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -147221,8 +147221,9 @@ UnivariateFormalPowerSeriesFunctions(Coef: Ring): Exports == Implementation
     Implementation == add
 
       hadamard(f, g) ==
-        series map(#1*#2, coefficients f, coefficients g)
-                  $StreamFunctions3(Coef, Coef, Coef) 
+        series map((z1:Coef,z2:Coef):Coef +-> z1*z2, 
+                    coefficients f, coefficients g)
+                     $StreamFunctions3(Coef, Coef, Coef) 
 
 @
 <<UFPS1.dotabb>>=
diff --git a/changelog b/changelog
index d201f9c..0a06417 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090624 tpd src/axiom-website/patches.html 20090624.07.tpd.patch
+20090624 tpd books/bookvol10.4 UFPS1 +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.06.tpd.patch
 20090624 tpd books/bookvol10.4 UNIFACT +-> conversion
 20090624 tpd src/axiom-website/patches.html 20090624.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index bc78c95..bcea7ee 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1663,5 +1663,7 @@ bookvol10.4 CLIP +-> conversion<br/>
 bookvol10.4 TWOFACT +-> conversion<br/>
 <a href="patches/20090624.06.tpd.patch">20090624.06.tpd.patch</a>
 bookvol10.4 UNIFACT +-> conversion<br/>
+<a href="patches/20090624.07.tpd.patch">20090624.07.tpd.patch</a>
+bookvol10.4 UFPS1 +-> conversion<br/>
  </body>
 </html>
